package eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense;

import eu.mhsl.minenet.minigames.instance.Dimension;
import eu.mhsl.minenet.minigames.instance.game.stateless.StatelessGame;
import eu.mhsl.minenet.minigames.instance.game.stateless.types.towerdefense.generator.MazeGenerator;
import eu.mhsl.minenet.minigames.score.NoScore;
import net.minestom.server.entity.Player;
import net.minestom.server.item.ItemStack;
import net.minestom.server.item.Material;

public class Towerdefense extends StatelessGame {
    public Towerdefense() {
        super(Dimension.NETHER.key, "Towerdefense", new NoScore());

        setGenerator(new MazeGenerator());
    }

    @Override
    protected boolean onPlayerJoin(Player p) {
        p.getInventory().setItemStack(1, ItemStack.of(Material.ARMOR_STAND));
        return false;
    }

    
}
